## eiskaltdcpp-web 1.0.1

=== CMakeLists.txt ===
project (eiskaltdcpp-web)
cmake_minimum_required (VERSION 3.0)

if (UNIX AND NOT APPLE AND NOT HAIKU)
    # Launcher, desktop file, etc.
    install (FILES linux/${PROJECT_NAME}
             DESTINATION "${CMAKE_INSTALL_PREFIX}/bin"
             PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
    install (FILES linux/${PROJECT_NAME}.png
             DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps")
    install (FILES linux/${PROJECT_NAME}.desktop
             DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")

    # Config
    install (FILES config.js
             DESTINATION "${CMAKE_INSTALL_PREFIX}/share/eiskaltdcpp/web")

    # Web UI files and directories
    install (FILES index.html style.css favicon.ico
             DESTINATION "${CMAKE_INSTALL_PREFIX}/share/eiskaltdcpp/web")
    install (DIRECTORY images js
             DESTINATION "${CMAKE_INSTALL_PREFIX}/share/eiskaltdcpp/web")
else ()
    # Web UI files and directories
    install (FILES config.js index.html style.css favicon.ico
             DESTINATION "${CMAKE_INSTALL_PREFIX}/web-ui")
    install (DIRECTORY images js
             DESTINATION "${CMAKE_INSTALL_PREFIX}/web-ui")

    # Documentation
    if (WIN32)
        install (FILES README.html windows/help.html
                 DESTINATION "${CMAKE_INSTALL_PREFIX}/web-ui")
    endif (WIN32)
endif ()

add_custom_target (uninstall
    COMMAND xargs -a "${CMAKE_CURRENT_BINARY_DIR}/install_manifest.txt" rm
)

=== debian/changelog ===
eiskaltdcpp-web (1.0.1-2) unstable; urgency=medium

  * Move to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Sat, 23 Jan 2021 02:19:40 +0300

eiskaltdcpp-web (1.0.1-1) experimental; urgency=medium

  * Initial release. (Closes: #979470)

 -- Boris Pek <tehnick@debian.org>  Thu, 07 Jan 2021 05:29:40 +0300

=== debian/control ===
Source: eiskaltdcpp-web
Section: web
Priority: optional
Maintainer: Boris Pek <tehnick@debian.org>
Build-Depends: cmake, debhelper-compat (= 13)
Homepage: https://github.com/eiskaltdcpp/eiskaltdcpp-web
Vcs-Git: https://github.com/eiskaltdcpp/eiskaltdcpp-web-debian.git
Vcs-Browser: https://github.com/eiskaltdcpp/eiskaltdcpp-web-debian
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: eiskaltdcpp-web
Architecture: all
Depends: libjs-jquery,
         libjs-jquery-tablesorter,
         libjs-requirejs,
         ${misc:Depends}
Recommends: eiskaltdcpp-daemon, xdg-utils
Description: Simple Web UI for eiskaltdcpp-daemon
 This package contains Web UI for eiskaltdcpp-daemon. It may be used locally on
 PC or via network depending on user needs.
 .
 EiskaltDC++ is a cross-platform program that uses the Direct Connect and
 Advanced Direct Connect protocols. It is compatible with DC++, AirDC++,
 FlylinkDC++ and other DC clients. EiskaltDC++ also interoperates with all
 common DC hub software.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_link:
	ln -sf /usr/share/javascript/jquery/jquery.js \
	       /usr/share/javascript/jquery-tablesorter/js/jquery.tablesorter.js \
	       /usr/share/javascript/requirejs/require.js \
	       debian/eiskaltdcpp-web/usr/share/eiskaltdcpp/web/js/lib/

=== debian/watch ===
version=4
https://github.com/eiskaltdcpp/eiskaltdcpp-web/tags \
.*/eiskaltdcpp/eiskaltdcpp-web/archive/v(.+)\.tar\.gz \
debian uupdate
